Subject: Some slightly modified netpbm programs
From: [email-masked] (Bob Crispen)

1 Mar 1997 22:44:51 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Netpbm is one of the most joyful installations an owner of
Gnu-Win32 can have, unlike the earlier pbmplus which had
me tearing my hair out for a week chasing such mysteries
as why a file that called malloc() linked when you *didn't*
include <malloc.h>.  For netpbm, just set the default CC
to plain old gcc in the Makefile and (in the pbm directory)
to gcc -DMSDOS and there you have it.

These utilities do, however, rely on the shell to permit
binary stdin and stdout redirection (particularly the
latter) which of course we don't do.

You may want to take a peek at a few files in:

http://hiwaay.net/~crispen/etc/pnmtopix/pnmtopix_src.zip
or pnmtopix.tar.gz in the same directory.

One of the files (pnmtopix) creates a VRML PixelTexture
node from a PNM file, which I'm sure is of little interest,
but I added a "-o outfile" option to giftopnm and ppmtogif
(which despite its name converts pnm files back to gif)
which may come in handy for some folks.
--
Rev. Bob "Bob" Crispen
[email-masked]
"Equus equus est, nimirum, nimirum"
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".